export interface IPluginOptions {
    /**
     * Path to the HTML page to serve content from.
     */
    homepage: string;
    /**
     * glob for the locale json files.
     */
    locales: string;
}
/**
 * MixerPlugin is the webpack plugin to handle packaging Interactive output
 * to ship and develop with. Primarily, it modifies the user-provided
 * HTML page to insert the Mixer standard library and additional controls
 * in development mode.
 */
export declare class MixerPlugin {
    private readonly options;
    private package;
    constructor(options: IPluginOptions);
    apply(compiler: any): void;
    private addProductionFiles(compiler, compilation);
    private addStaticAssets(compilation);
    private addFiles(compilation, files);
}
