/**
 * Takes a function that wants a callback, and resolves when that callback
 * is resolved upon or errored.
 */
export declare function promiseCallback<R = any>(fn: (callback: (err?: Error, result?: R) => void) => void): Promise<R>;
/**
 * Promisified fs.readFile
 */
export declare function readFile(file: string): Promise<string>;
/**
 * Promisified fs.exists
 */
export declare function exists(file: string): Promise<boolean>;
/**
 * Promisified fs.readDir
 */
export declare function readDir(dir: string): Promise<string[]>;
