import { IPackageConfig } from '@mixer/cdk-std/dist/internal';
/**
 * The HTMLInjector is a helper that is able to inject HTML fragments into
 * an HTML document.
 */
export declare abstract class HTMLInjector {
    private readonly filepath;
    constructor(filepath: string);
    render(compiler: any): Promise<string>;
    /**
     * injectHead returns a list of HTML fragments to insert into the page <head>.
     */
    protected injectHead(_compiler: any): Promise<string[]>;
    private getDocument();
    private prepend(parent, ...elements);
    private stringToNode(src);
    private findNode(parent, nodePath);
}
/**
 * HomepageRenderer is responsible for modifying and injecting Mixer stdlib
 * scripts into the developer's index.html.
 */
export declare class HomepageRenderer extends HTMLInjector {
    private readonly packaged;
    private readonly locales;
    constructor(filepath: string, packaged: IPackageConfig, locales: string[]);
    protected injectHead(): Promise<string[]>;
}
