/**
 * The LocalePackager takes a glob on the filesystem and returns a map of
 * locale names to their parsed data.
 */
export declare class LocalePackager {
    private readonly compilation;
    constructor(compilation: any);
    /**
     * compile loads locales matching the glob pattern to a map of locales
     * (from the file basenames) to their contents.
     */
    compile(pattern?: string): Promise<{
        [locale: string]: object;
    }>;
    /**
     * Adds the compile()'d locale data to the webpack compilation,
     * in the locales folder.
     */
    addToCompilation(data: {
        [locale: string]: object;
    }): void;
}
