/**
 * extractor.ts contains tools that run static analysis on the codebase to pull
 * out data from decorators.
 */
import { TypeScriptWalker } from './ast';
import * as ts from 'typescript';
import { IPackageConfig } from '@mixer/cdk-std/dist/internal';
/**
 * MetadataExtractor transverses TypeScript sources and generates an IPackageData
 * struct based off decorators in the code.
 */
export declare class MetadataExtractor extends TypeScriptWalker {
    private readonly extractors;
    constructor();
    /**
     * Returns the package config parsed from the AST, after calls to walker
     * functions.
     */
    gatherResult(): IPackageConfig;
    protected visit(node: ts.Node): any;
}
