/**
 * Finds the nearest package.json relative to the given directory, returning
 * undefined if it's not found.
 */
export declare function findPackageJson(dir: string): Promise<string | undefined>;
/**
 * Loads data from the project's package.json, throwing an error if it can't
 * be loaded.
 */
export declare function mustLoadPackageJson(dir: string): Promise<any>;
/**
 * Returns the base path of a project nested in the given directory (the
 * folder containing the package.json).
 */
export declare function getProjectPath(dir: string): Promise<string | undefined>;
/**
 * Finds the readme for the project in the given directory. Uses a similar
 * process to npm.
 */
export declare function findReadme(dir: string): Promise<string | undefined>;
/**
 * Copies a file from one place to another.
 */
export declare function copy(source: string, destination: string): Promise<void>;
