/// <reference types="node" />
/**
 * Adds a file by path as a dependency of the compilation, if it doesn't
 * already exist.
 */
export declare function addFilesToCompilation(compilation: any, files: string[] | string): void;
/**
 * Base interface for one webpack file.
 */
export interface IWebpackFile {
    source(): string | Buffer;
    size(): number;
}
/**
 * Converts the data to a webpack asset.
 */
export declare function contentsToAsset(contents: string | Buffer): IWebpackFile;
/**
 * Converts the given file to a webpack asset.
 */
export declare function fileToAsset(...segments: string[]): Promise<IWebpackFile>;
