"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const path = require("path");
const npm_1 = require("../src/npm");
describe('npm', () => {
    it('findPackageJson', () => __awaiter(this, void 0, void 0, function* () {
        chai_1.expect(yield npm_1.findPackageJson(__dirname)).to.equal(path.join(__dirname, '..', 'package.json'));
        chai_1.expect(yield npm_1.findPackageJson('/')).to.be.undefined;
    }));
    it('mustLoadPackageJson', () => __awaiter(this, void 0, void 0, function* () {
        chai_1.expect(yield npm_1.mustLoadPackageJson(__dirname)).to.containSubset({
            name: '@mixer/cdk-webpack-plugin',
        });
        try {
            yield npm_1.mustLoadPackageJson('/');
        }
        catch (e) {
            chai_1.expect(e.message).to.match(/Could not find a package/);
        }
    }));
    it('getProjectPath', () => __awaiter(this, void 0, void 0, function* () {
        chai_1.expect(yield npm_1.getProjectPath(__dirname)).to.equal(path.join(__dirname, '..'));
        chai_1.expect(yield npm_1.getProjectPath('/')).to.be.undefined;
    }));
    it('findReadme', () => __awaiter(this, void 0, void 0, function* () {
        const projectDir = path.normalize(path.join(__dirname, '..'));
        chai_1.expect(yield npm_1.findReadme('/')).to.be.undefined;
        chai_1.expect(yield npm_1.findReadme(path.join(__dirname, '..'))).to.equal(path.join(projectDir, 'readme.md'));
        chai_1.expect(yield npm_1.findReadme(path.join(__dirname, 'fixtures/custom-readme'))).to.equal(path.join(projectDir, 'test', 'fixtures', 'custom-readme', 'manual.md'));
    }));
});
